> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Attribute

> Get Attribute



## OpenAPI

````yaml /openapi/openapi_shipping_admin.json get /commerce/admin/shipment/attributedefinition/attributes/{attributeFQN}
openapi: 3.0.1
info:
  description: OpenAPI Spec for Kibo Shipping Admin Service
  title: Shipping Admin
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/admin/shipment/attributedefinition/attributes/{attributeFQN}:
    get:
      tags:
        - ShipmentAttributeDefinition
      summary: Get Attribute
      description: Get Attribute
      parameters:
        - in: path
          name: attributeFQN
          required: true
          schema:
            type: string
        - in: query
          name: responseGroups
          schema:
            type: string
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommerceRuntimeAttribute'
            text/json:
              schema:
                $ref: '#/components/schemas/CommerceRuntimeAttribute'
            text/plain:
              schema:
                $ref: '#/components/schemas/CommerceRuntimeAttribute'
          description: Success
components:
  schemas:
    CommerceRuntimeAttribute:
      properties:
        adminName:
          maxLength: 50
          nullable: true
          type: string
        attributeCode:
          maxLength: 50
          type: string
        attributeFQN:
          nullable: true
          type: string
        attributeMetadata:
          items:
            $ref: '#/components/schemas/CommerceRuntimeAttributeMetadataItem'
          nullable: true
          type: array
        auditInfo:
          $ref: '#/components/schemas/AdminUserAuditInfo'
        availableForDiscounts:
          type: boolean
        availableForOrderRouting:
          type: boolean
        content:
          $ref: '#/components/schemas/CommerceRuntimeAttributeLocalizedContent'
        dataType:
          nullable: true
          type: string
        displayGroup:
          type: string
        id:
          format: int32
          nullable: true
          type: integer
        inputType:
          nullable: true
          type: string
        isActive:
          nullable: true
          type: boolean
        isMultiValued:
          nullable: true
          type: boolean
        isReadOnly:
          type: boolean
        isRequired:
          nullable: true
          type: boolean
        isVisible:
          nullable: true
          type: boolean
        namespace:
          maxLength: 200
          nullable: true
          type: string
        order:
          format: int32
          nullable: true
          type: integer
        validation:
          $ref: '#/components/schemas/CommerceRuntimeAttributeValidation'
        valueType:
          type: string
        vocabularyValues:
          items:
            $ref: '#/components/schemas/CommerceRuntimeAttributeVocabularyValue'
          nullable: true
          type: array
      required:
        - attributeCode
        - displayGroup
        - valueType
      type: object
    CommerceRuntimeAttributeMetadataItem:
      properties:
        key:
          maxLength: 50
          type: string
        value:
          type: string
      required:
        - key
        - value
      type: object
    AdminUserAuditInfo:
      properties:
        createBy:
          nullable: true
          type: string
        createDate:
          format: date-time
          nullable: true
          type: string
        updateBy:
          nullable: true
          type: string
        updateDate:
          format: date-time
          nullable: true
          type: string
      type: object
    CommerceRuntimeAttributeLocalizedContent:
      properties:
        localeCode:
          maxLength: 8
          nullable: true
          type: string
        value:
          maxLength: 100
          nullable: true
          type: string
      type: object
    CommerceRuntimeAttributeValidation:
      properties:
        maxDateTime:
          format: date-time
          nullable: true
          type: string
        maxNumericValue:
          format: double
          nullable: true
          type: number
        maxStringLength:
          format: int32
          nullable: true
          type: integer
        minDateTime:
          format: date-time
          nullable: true
          type: string
        minNumericValue:
          format: double
          nullable: true
          type: number
        minStringLength:
          format: int32
          nullable: true
          type: integer
        regularExpression:
          maxLength: 200
          nullable: true
          type: string
      type: object
    CommerceRuntimeAttributeVocabularyValue:
      properties:
        content:
          $ref: '#/components/schemas/CommerceRuntimeAttributeValueLocalizedContent'
        isHidden:
          nullable: true
          type: boolean
        sequence:
          format: int32
          nullable: true
          type: integer
        value:
          maxLength: 50
          type: string
      required:
        - value
      type: object
    CommerceRuntimeAttributeValueLocalizedContent:
      properties:
        localeCode:
          type: string
        value:
          type: string
      required:
        - localeCode
        - value
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````